/*
 * Copyright 2024 Blocker
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.merxury.blocker.core.testing.testing.data

import com.merxury.blocker.core.model.data.AppItem
import kotlinx.datetime.Clock.System

val appInfoTestData = AppItem(
    label = "Blocker",
    packageName = "com.merxury.blocker",
    versionName = "1.0.0",
    versionCode = 1,
    minSdkVersion = 21,
    targetSdkVersion = 33,
    isSystem = false,
    isRunning = false,
    isEnabled = true,
    firstInstallTime = System.now(),
    lastUpdateTime = System.now(),
    appServiceStatus = null,
    packageInfo = null,
)

val appListTestData = listOf(
    AppItem(
        label = "Weather",
        packageName = "com.test.test",
        versionName = "13.0.7.5",
        versionCode = 13000705,
        minSdkVersion = 24,
        targetSdkVersion = 33,
        isSystem = true,
        isRunning = true,
        isEnabled = true,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "soundre corder",
        packageName = "com.android.soundrecorder",
        versionName = "3.3.6.9",
        versionCode = 303069,
        minSdkVersion = 28,
        targetSdkVersion = 33,
        isSystem = true,
        isRunning = true,
        isEnabled = true,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Compass",
        packageName = "com.test.compass",
        versionName = "13.3.4.1",
        versionCode = 1303041,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = true,
        isRunning = true,
        isEnabled = true,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App1",
        packageName = "com.test.app1",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App2",
        packageName = "com.test.app2",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App3",
        packageName = "com.test.app3",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App4",
        packageName = "com.test.app4",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App5",
        packageName = "com.test.app5",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App6",
        packageName = "com.test.app6",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App7",
        packageName = "com.test.app7",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App8",
        packageName = "com.test.app8",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App9",
        packageName = "com.test.app9",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App10",
        packageName = "com.test.app10",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App11",
        packageName = "com.test.app11",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App12",
        packageName = "com.test.app12",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "Test App13",
        packageName = "com.test.app13",
        versionName = "0.0.1",
        versionCode = 1,
        minSdkVersion = 24,
        targetSdkVersion = 31,
        isSystem = false,
        isRunning = false,
        isEnabled = false,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
    AppItem(
        label = "My service",
        packageName = "com.test.vipservice",
        versionName = "1.3.4",
        versionCode = 142,
        minSdkVersion = 23,
        targetSdkVersion = 31,
        isSystem = true,
        isRunning = true,
        isEnabled = true,
        firstInstallTime = System.now(),
        lastUpdateTime = System.now(),
        appServiceStatus = null,
        packageInfo = null,
    ),
)
